# remirepo/fedora spec file for php-cakephp
#
# Copyright (c) 2018-2023 Remi Collet
# License: CC-BY-SA-4.0
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#


# https://github.com/cakephp/cakephp/releases
%global gh_commit    7d9b6a639e5c1f52a813696f6b347726a74f9680
%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner     cakephp
%global gh_project   cakephp
%global pk_vendor   cakephp
%global ns_vendor    Cake
%global php_home     %{_datadir}/php
%bcond_without       tests
%global major        4

# https://github.com/cakephp/chronos/releases
%global chronos_commit  a21b7b633f483c4cf525d200219d200f551ee38b
%global chronos_short   %(c=%{chronos_commit}; echo ${c:0:7})
%global chronos_version 2.3.2

Name:           php-%{pk_vendor}%{major}
Version:        4.4.11
Release:        1%{?dist}
Summary:        The CakePHP framework

License:        MIT
URL:            https://cakephp.org/
Source0:        %{name}-%{version}-%{gh_short}.tgz
Source1:        %{name}-chronos-%{chronos_version}-%{chronos_short}.tgz
Source2:        makesrc.sh

BuildArch:      noarch
BuildRequires:  php-cli
%if %{with tests}
# For tests
BuildRequires:  php(language) >= 7.4
BuildRequires:  php-ctype
BuildRequires:  php-date
BuildRequires:  php-dom
BuildRequires:  php-hash
BuildRequires:  php-intl
BuildRequires:  php-json
BuildRequires:  php-libxml
BuildRequires:  php-mbstring
BuildRequires:  php-pcre
BuildRequires:  php-pdo
BuildRequires:  php-reflection
BuildRequires:  php-simplexml
BuildRequires:  php-spl
# From composer.json, "require-dev": {
#        "cakephp/cakephp-codesniffer": "^4.5",
#        "mikey179/vfsstream": "^1.6.10",
#        "paragonie/csp-builder": "^2.3",
#        "phpunit/phpunit": "^8.5 || ^9.3"
BuildRequires:  phpunit9 >= 9.3
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-composer(mikey179/vfsstream)  >= 1.6.10 with php-composer(mikey179/vfsstream)  < 2)
BuildRequires:  glibc-langpack-en
%else
BuildRequires:  php-mikey179-vfsstream            >= 1.6.10
%endif
%endif
# Full framework installation
Requires:       php-composer(%{pk_vendor}/cache)      = %{version}
Requires:       php-composer(%{pk_vendor}/chronos)    = %{chronos_version}
Requires:       php-composer(%{pk_vendor}/collection) = %{version}
Requires:       php-composer(%{pk_vendor}/console)    = %{version}
Requires:       php-composer(%{pk_vendor}/core)       = %{version}
Requires:       php-composer(%{pk_vendor}/database)   = %{version}
Requires:       php-composer(%{pk_vendor}/datasource) = %{version}
Requires:       php-composer(%{pk_vendor}/event)      = %{version}
Requires:       php-composer(%{pk_vendor}/filesystem) = %{version}
Requires:       php-composer(%{pk_vendor}/form)       = %{version}
Requires:       php-composer(%{pk_vendor}/http)       = %{version}
Requires:       php-composer(%{pk_vendor}/i18n)       = %{version}
Requires:       php-composer(%{pk_vendor}/log)        = %{version}
Requires:       php-composer(%{pk_vendor}/orm)        = %{version}
Requires:       php-composer(%{pk_vendor}/utility)    = %{version}
Requires:       php-composer(%{pk_vendor}/validation) = %{version}



%description
CakePHP is a rapid development framework for PHP which uses commonly known
design patterns like Associative Data Mapping, Front Controller, and MVC.
Our primary goal is to provide a structured framework that enables PHP users
at all levels to rapidly develop robust web applications, without any loss
to flexibility.


%package cache
Summary:        CakePHP Collection Library
# From composer.json "require": {
#        "php": ">=7.4.0",
#        "cakephp/core": "^4.0",
#        "psr/simple-cache": "^1.0 || ^2.0"
Requires:       php(language) >= 7.4
Requires:       php-composer(%{pk_vendor}/core) = %{version}
# from main composer.json
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-composer(psr/simple-cache)             >= 1.0.0 with php-composer(psr/simple-cache)             < 3)
Requires:      (php-composer(psr/simple-cache)             >= 1.0.0 with php-composer(psr/simple-cache)             < 3)
# Optional (from phpcompatinfo report)
Recommends:     php-apcu
Suggests:       php-memcached
Suggests:       php-redis
%else
BuildRequires:  php-psr-simple-cache             >= 1.0.0
Requires:       php-psr-simple-cache             >= 1.0.0
%endif
# From phpcompatinfo report
Requires:       php-date
Requires:       php-pcre
Requires:       php-spl
Provides:       php-composer(%{pk_vendor}/cache) = %{version}

%description cache
CakePHP Caching Library:

The Cache library provides a Cache service locator for interfacing with
multiple caching backends using a simple to use interface.

The caching backends supported are:
*    Files
*    APC
*    Memcached
*    Redis
*    Wincache
*    Xcache


%package chronos
Summary:        CakePHP Chronos Library
# From composer.json "require": {
#        "php": ">=7.2",
Requires:       php(language) >= 7.2
# From phpcompatinfo report
Requires:       php-ctype
Requires:       php-date
Requires:       php-pcre
Requires:       php-spl
Provides:       php-composer(%{pk_vendor}/chronos) = %{chronos_version}

%description chronos
CakePHP Chronos Library:

A simple API extension for DateTime.


%package collection
Summary:        CakePHP Collection Library
# From composer.json "require": {
#        "php": ">=7.4.0",
Requires:       php(language) >= 7.4
# From phpcompatinfo report
Requires:       php-spl
Provides:       php-composer(%{pk_vendor}/collection) = %{version}

%description collection
CakePHP Collection Library:

The collection classes provide a set of tools to manipulate arrays or
Traversable objects. If you have ever used underscore.js, you have an
idea of what you can expect from the collection classes.


%package console
Summary:        CakePHP Console Library
# From composer.json "require": {
#        "php": ">=7.4.0",
#        "cakephp/core": "^4.0",
#        "cakephp/event": "^4.0",
#        "cakephp/filesystem": "^4.0",
#        "cakephp/log": "^4.0",
#        "cakephp/utility": "^4.0"
Requires:       php(language) >= 7.4
Requires:       php-composer(%{pk_vendor}/core)       = %{version}
Requires:       php-composer(%{pk_vendor}/event)      = %{version}
Requires:       php-composer(%{pk_vendor}/filesystem) = %{version}
Requires:       php-composer(%{pk_vendor}/log)        = %{version}
Requires:       php-composer(%{pk_vendor}/utility)    = %{version}
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
Recommends:     php-composer(%{pk_vendor}/datasource) = %{version}
Recommends:     php-composer(%{pk_vendor}/orm)        = %{version}
%endif
# From phpcompatinfo report
Requires:       php-spl
Provides:       php-composer(%{pk_vendor}/console) = %{version}

%description console
CakePHP Console Library:

This library provides a framework for building command line applications
from a set of commands. It provides abstractions for defining option and
argument parsers, and dispatching commands.


%package core
Summary:        CakePHP Framework Core classes
# From composer.json "require": {
#        "php": ">=7.4.0",
#        "cakephp/utility": "^4.0"
Requires:       php(language) >= 7.4
Requires:       php-composer(%{pk_vendor}/utility) = %{version}
# not in composer.json
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-composer(psr/http-server-handler)     >= 1.0.0 with php-composer(psr/http-server-handler)      < 2)
Requires:      (php-composer(psr/http-server-handler)     >= 1.0.0 with php-composer(psr/http-server-handler)      < 2)
# Optional for core but required by full framework
BuildRequires: (php-composer(league/container)            >= 4.2.0 with php-composer(league/container)             < 5)
Requires:      (php-composer(league/container)            >= 4.2.0 with php-composer(league/container)             < 5)
%else
BuildRequires:  php-psr-http-server-handler               >= 1.0.0
Requires:       php-psr-http-server-handler               >= 1.0.0
BuildRequires:  php-league-container4                     >= 4.2.0
Requires:       php-league-container4                     >= 4.2.0
%endif
# From phpcompatinfo report
Requires:       php-reflection
Requires:       php-json
Requires:       php-mbstring
Requires:       php-pcre
Requires:       php-spl
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
Recommends:     php-composer(%{pk_vendor}/cache) = %{version}
Recommends:     php-composer(%{pk_vendor}/event) = %{version}
%endif
Provides:       php-composer(%{pk_vendor}/core) = %{version}

%description core
CakePHP Framework Core classes:

A set of classes used for configuration files reading and storing.
This library contains the classes that are used as glue for creating the
CakePHP framework.


%package database
Summary:        CakePHP Database Library
# From composer.json "require": {
#        "php": ">=7.4.0",
#        "cakephp/core": "^4.0",
#        "cakephp/datasource": "^4.0"
Requires:       php(language) >= 7.4
Requires:       php-composer(%{pk_vendor}/core)       = %{version}
Requires:       php-composer(%{pk_vendor}/datasource) = %{version}
# From phpcompatinfo report
Requires:       php-pdo
Requires:       php-ctype
Requires:       php-date
Requires:       php-json
Requires:       php-pcre
Requires:       php-spl
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
Recommends:     php-composer(%{pk_vendor}/i18n) = %{version}
Recommends:     php-composer(%{pk_vendor}/log)  = %{version}
%endif
Provides:       php-composer(%{pk_vendor}/database) = %{version}

%description database
A flexible and lightweight Database Library for PHP:

This library abstracts and provides help with most aspects of dealing with
relational databases such as keeping connections to the server, building
queries, preventing SQL injections, inspecting and altering schemas, and
with debugging and profiling queries sent to the database.

It adopts the API from the native PDO extension in PHP for familiarity,
but solves many of the inconsistencies PDO has, while also providing
several features that extend PDO's capabilities.

A distinguishing factor of this library when compared to similar database
connection packages, is that it takes the concept of "data types" to its core.
It lets you work with complex PHP objects or structures that can be passed as
query conditions or to be inserted in the database.

The typing system will intelligently convert the PHP structures when passing
them to the database, and convert them back when retrieving.


%package datasource
Summary:        CakePHP Datasource Library
# From composer.json "require": {
#        "php": ">=7.4.0",
#        "cakephp/core": "^4.0",
#        "psr/log": "^1.0 || ^2.0",
#        "psr/simple-cache": "^1.0 || ^2.0"
Requires:       php(language) >= 7.4
Requires:       php-composer(%{pk_vendor}/core) = %{version}
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-composer(psr/log)                      >= 1.0.0 with php-composer(psr/log)                      < 3)
Requires:      (php-composer(psr/log)                      >= 1.0.0 with php-composer(psr/log)                      < 3)
BuildRequires: (php-composer(psr/simple-cache)             >= 1.0.0 with php-composer(psr/simple-cache)             < 3)
Requires:      (php-composer(psr/simple-cache)             >= 1.0.0 with php-composer(psr/simple-cache)             < 3)
%else
BuildRequires:  php-psr-simple-cache             >= 1.0.0
Requires:       php-psr-simple-cache             >= 1.0.0
BuildRequires:  php-PsrLog                       >= 1.0.0
Requires:       php-PsrLog                       >= 1.0.0
%endif
# From phpcompatinfo report
Requires:       php-json
Requires:       php-spl
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
Recommends:     php-composer(%{pk_vendor}/utility)    = %{version}
Recommends:     php-composer(%{pk_vendor}/collection) = %{version}
Recommends:     php-composer(%{pk_vendor}/cache)      = %{version}
%endif
Provides:       php-composer(%{pk_vendor}/datasource) = %{version}

%description datasource
CakePHP Datasource Library:

This library contains interfaces for implementing Repositories and
Entities using any data source, a class for managing connections to
datasources and traits to help you quickly implement the interfaces
provided by this package.


%package event
Summary:        CakePHP Event Library
# From composer.json "require": {
#        "php": ">=7.4.0",
#        "cakephp/core": "^4.0"
Requires:       php(language) >= 7.4
Requires:       php-composer(%{pk_vendor}/core) = %{version}
# From phpcompatinfo report
Requires:       php-pcre
Requires:       php-spl
Provides:       php-composer(%{pk_vendor}/event) = %{version}

%description event
CakePHP Event Library:

CakePHP event dispatcher library that helps implementing the observer pattern.


%package filesystem
Summary:        CakePHP FileSystem Library
# From composer.json "require": {
#        "php": ">=7.4.0",
#        "cakephp/core": "^4.0"
Requires:       php(language) >= 7.4
Requires:       php-composer(%{pk_vendor}/core) = %{version}
# From phpcompatinfo report
Requires:       php-fileinfo
Requires:       php-mbstring
Requires:       php-pcre
Requires:       php-spl
Provides:       php-composer(%{pk_vendor}/filesystem) = %{version}

%description filesystem
CakePHP FileSystem Library:

CakePHP filesystem convenience classes to help you work with files and folders.


%package form
Summary:        CakePHP Form Library
# From composer.json "require": {
#        "php": ">=7.4.0",
#        "cakephp/event": "^4.0",
#        "cakephp/validation": "^4.0"
Requires:       php(language) >= 7.4
Requires:       php-composer(%{pk_vendor}/event) = %{version}
Requires:       php-composer(%{pk_vendor}/validation) = %{version}
# From phpcompatinfo report
Requires:       php-hash
Requires:       php-json
Requires:       php-pcre
Provides:       php-composer(%{pk_vendor}/form) = %{version}

%description form
CakePHP Form Library:


%package http
Summary:        CakePHP Http Library
# From composer.json "require": {
#        "php": ">=7.4.0",
#        "cakephp/core": "^4.0",
#        "cakephp/event": "^4.0",
#        "cakephp/utility": "^4.0",
#        "composer/ca-bundle": "^1.2",
#        "psr/http-client": "^1.0",
#        "psr/http-server-handler": "^1.0",
#        "psr/http-server-middleware": "^1.0",
#        "laminas/laminas-diactoros": "^2.1",
#        "laminas/laminas-httphandlerrunner": "^1.1 || ^2.0"
Requires:       php(language) >= 7.4
Requires:       php-composer(%{pk_vendor}/core)    = %{version}
Requires:       php-composer(%{pk_vendor}/event)   = %{version}
Requires:       php-composer(%{pk_vendor}/utility) = %{version}
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-composer(composer/ca-bundle)                >= 1.2 with php-composer(composer/ca-bundle)                  < 2)
Requires:      (php-composer(composer/ca-bundle)                >= 1.2 with php-composer(composer/ca-bundle)                  < 2)
BuildRequires: (php-composer(psr/http-client)                   >= 1.0   with php-composer(psr/http-client)                   < 2)
Requires:      (php-composer(psr/http-client)                   >= 1.0   with php-composer(psr/http-client)                   < 2)
BuildRequires: (php-composer(psr/http-server-handler)           >= 1.0   with php-composer(psr/http-server-handler)           < 2)
Requires:      (php-composer(psr/http-server-handler)           >= 1.0   with php-composer(psr/http-server-handler)           < 2)
BuildRequires: (php-composer(psr/http-server-middleware)        >= 1.0   with php-composer(psr/http-server-middleware)        < 2)
Requires:      (php-composer(psr/http-server-middleware)        >= 1.0   with php-composer(psr/http-server-middleware)        < 2)
BuildRequires: (php-composer(laminas/laminas-diactoros)         >= 2.1   with php-composer(laminas/laminas-diactoros)         < 3)
Requires:      (php-composer(laminas/laminas-diactoros)         >= 2.1   with php-composer(laminas/laminas-diactoros)         < 3)
BuildRequires: (php-composer(laminas/laminas-httphandlerrunner) >= 1.1   with php-composer(laminas/laminas-httphandlerrunner) < 3)
Requires:      (php-composer(laminas/laminas-httphandlerrunner) >= 1.1   with php-composer(laminas/laminas-httphandlerrunner) < 3)
# From composer.json "suggest": {
#        "cakephp/cache": "To use cache session storage",
#        "cakephp/orm": "To use database session storage"
Suggests:       php-composer(%{pk_vendor}/cache)
Suggests:       php-composer(%{pk_vendor}/orm)
%else
BuildRequires:  php-composer-ca-bundle
Requires:       php-composer-ca-bundle
BuildRequires:  php-psr-http-client
Requires:       php-psr-http-client
BuildRequires:  php-psr-http-server-handler
Requires:       php-psr-http-server-handler
BuildRequires:  php-psr-http-server-middleware
Requires:       php-psr-http-server-middleware
BuildRequires:  php-laminas-diactoros2
Requires:       php-laminas-diactoros2
BuildRequires:  php-laminas-httphandlerrunner
Requires:       php-laminas-httphandlerrunner
%endif
# From phpcompatinfo report
Requires:       php-reflection
Requires:       php-simplexml
Requires:       php-curl
Requires:       php-date
Requires:       php-fileinfo
Requires:       php-hash
Requires:       php-json
Requires:       php-libxml
Requires:       php-mbstring
Requires:       php-openssl
Requires:       php-pcre
Requires:       php-session
Requires:       php-spl
Requires:       php-zlib
Provides:       php-composer(%{pk_vendor}/http) = %{version}

%description http
CakePHP Http Library:

CakePHP HTTP client and PSR7/15 middleware libraries.


%package i18n
Summary:        CakePHP I18n Library
# From composer.json "require": {
#        "php": ">=7.4.0",
#        "ext-intl": "*",
#        "cakephp/core": "^4.0",
#        "cakephp/chronos": "^2.0.0"
Requires:       php(language) >= 7.4
Requires:       php-intl
Requires:       php-composer(%{pk_vendor}/core) = %{version}
Requires:       php-composer(%{pk_vendor}/chronos) = %{chronos_version}
# From phpcompatinfo report
Requires:       php-date
Requires:       php-pcre
Requires:       php-spl
Provides:       php-composer(%{pk_vendor}/i18n) = %{version}

%description i18n
CakePHP I18n Library:

The I18n library provides a `I18n` service locator that can be used for setting
the current locale, building translation bundles and translating messages.

Additionally, it provides the `Time` and `Number` classes which can be used to
output dates, currencies and any numbers in the right format for the specified locale.


%package log
Summary:        logging library
# From composer.json "require": {
#        "php": ">=7.4.0",
#        "cakephp/core": "^4.0",
#        "psr/log": "^1.0 || ^2.0"
Requires:       php(language) >= 7.4
Requires:       php-composer(%{pk_vendor}/core) = %{version}
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-composer(psr/log)                      >= 1.0.0 with php-composer(psr/log)                      < 3)
Requires:      (php-composer(psr/log)                      >= 1.0.0 with php-composer(psr/log)                      < 3)
%else
BuildRequires:  php-PsrLog                       >= 1.0.0
Requires:       php-PsrLog                       >= 1.0.0
%endif
# From phpcompatinfo report
Requires:       php-date
Requires:       php-json
Requires:       php-posix
Requires:       php-spl
Provides:       php-composer(%{pk_vendor}/log) = %{version}

%description log
CakePHP logging library with support for multiple different streams.


%package orm
Summary:        CakePHP ORM Classes
# From composer.json "require": {
#        "php": ">=7.4.0",
#        "cakephp/collection": "^4.0",
#        "cakephp/core": "^4.0",
#        "cakephp/datasource": "^4.0",
#        "cakephp/database": "^4.0",
#        "cakephp/event": "^4.0",
#        "cakephp/utility": "^4.0",
#        "cakephp/validation": "^4.0"
Requires:       php(language) >= 7.4
Requires:       php-composer(%{pk_vendor}/collection) = %{version}
Requires:       php-composer(%{pk_vendor}/core)       = %{version}
Requires:       php-composer(%{pk_vendor}/datasource) = %{version}
Requires:       php-composer(%{pk_vendor}/database)   = %{version}
Requires:       php-composer(%{pk_vendor}/event)      = %{version}
Requires:       php-composer(%{pk_vendor}/utility)    = %{version}
Requires:       php-composer(%{pk_vendor}/validation) = %{version}
# From phpcompatinfo report
Requires:       php-reflection
Requires:       php-json
Requires:       php-pcre
Requires:       php-spl
Provides:       php-composer(%{pk_vendor}/orm) = %{version}

%description orm
CakePHP ORM Classes:

CakePHP ORM - Provides a flexible and powerful ORM implementing
a data-mapper pattern.


%package utility
Summary:        CakePHP Utility Classes
# From composer.json "require": {
#        "php": ">=7.4.0",
#        "cakephp/core": "^4.0"
Requires:       php(language) >= 7.4
Requires:       php-composer(%{pk_vendor}/core) = %{version}
# From phpcompatinfo report
Requires:       php-simplexml
Requires:       php-ctype
Requires:       php-dom
Requires:       php-hash
Requires:       php-intl
Requires:       php-json
Requires:       php-libxml
Requires:       php-mbstring
Requires:       php-pcre
Requires:       php-spl
Provides:       php-composer(%{pk_vendor}/utility) = %{version}

%description utility
CakePHP Utility Classes:

This library provides a range of utility classes that are used throughout
the CakePHP framework.


%package validation
Summary:        CakePHP Validation Classes
# From composer.json "require": {
#        "php": ">=7.4.0",
#        "cakephp/core": "^4.0",
#        "cakephp/utility": "^4.0",
#        "psr/http-message": "^1.0.0"
Requires:       php(language) >= 7.4
Requires:       php-composer(%{pk_vendor}/core)    = %{version}
Requires:       php-composer(%{pk_vendor}/utility) = %{version}
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-composer(psr/http-message)     >= 1.0.0 with php-composer(psr/http-message)      < 2)
Requires:      (php-composer(psr/http-message)     >= 1.0.0 with php-composer(psr/http-message)      < 2)
%else
BuildRequires:  php-psr-http-message               >= 1.0.0
Requires:       php-psr-http-message               >= 1.0.0
%endif
# From phpcompatinfo report
Requires:       php-reflection
Requires:       php-fileinfo
Requires:       php-filter
Requires:       php-intl
Requires:       php-mbstring
Requires:       php-pcre
Requires:       php-spl
Provides:       php-composer(%{pk_vendor}/validation) = %{version}

%description validation
CakePHP validation Classes:

The validation library in CakePHP provides features to build validators
that can validate arbitrary arrays of data with ease.


%prep
%setup -q -n %{gh_project}-%{gh_commit} -a 1
mv chronos-*/src src/Chronos
mv chronos-*/tests tests2


%build
: ===== Generate autoloader for full framework
cat << 'EOF' | tee src/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    __DIR__ . '/Chronos/carbon_compat.php',
    __DIR__ . '/Core/functions.php',
    __DIR__ . '/Collection/functions.php',
    __DIR__ . '/I18n/functions.php',
    __DIR__ . '/Routing/functions.php',
    __DIR__ . '/Utility/bootstrap.php',
    [
        '%{php_home}/Psr/Log2/autoload.php',
        '%{php_home}/Psr/Log/autoload.php',
    ], [
        '%{php_home}/Psr/SimpleCache2/autoload.php',
        '%{php_home}/Psr/SimpleCache/autoload.php',
    ],
    '%{php_home}/Psr/Http/Client/autoload.php',
    '%{php_home}/Psr/Http/Message/autoload.php',
    '%{php_home}/Psr/Http/Server/autoload.php',
    '%{php_home}/Psr/Http/Server/middleware-autoload.php',
    '%{php_home}/League/Container4/autoload.php',
    '%{php_home}/Composer/CaBundle/autoload.php',
    '%{php_home}/Laminas/Diactoros2/autoload.php',
    [
        '%{php_home}/Laminas/HttpHandlerRunner2/autoload.php',
        '%{php_home}/Laminas/HttpHandlerRunner/autoload.php',
    ]
]);
EOF

: ===== Generate test autoloader for full framework
mkdir vendor
cat << 'EOF' | tee vendor/autoload.php
<?php
require_once dirname(__DIR__) . '/src/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\Test\\',                      dirname(__DIR__).'/tests');
\Fedora\Autoloader\Autoload::addPsr4('Cake\\Chronos\\Test\\',             dirname(__DIR__).'/tests2');
\Fedora\Autoloader\Autoload::addPsr4('TestApp\\',                         dirname(__DIR__).'/tests/test_app/TestApp');
\Fedora\Autoloader\Autoload::addPsr4('TestApp\\Test\\',                   dirname(__DIR__).'/tests/test_app/TestApp/tests/');
\Fedora\Autoloader\Autoload::addPsr4('TestPlugin\\',                      dirname(__DIR__).'/tests/test_app/Plugin/TestPlugin/src');
\Fedora\Autoloader\Autoload::addPsr4('TestPlugin\\Test\\',                dirname(__DIR__).'/tests/test_app/Plugin/TestPlugin/tests');
\Fedora\Autoloader\Autoload::addPsr4('TestPluginTwo\\',                   dirname(__DIR__).'/tests/test_app/Plugin/TestPluginTwo/src');
\Fedora\Autoloader\Autoload::addPsr4('Company\\TestPluginThree\\',        dirname(__DIR__).'/tests/test_app/Plugin/Company/TestPluginThree/src');
\Fedora\Autoloader\Autoload::addPsr4('Company\\TestPluginThree\\Test\\',  dirname(__DIR__).'/tests/test_app/Plugin/Company/TestPluginThree/tests');
\Fedora\Autoloader\Autoload::addPsr4('Named\\',                           dirname(__DIR__).'/tests/test_app/Plugin/Named/src/');
\Fedora\Autoloader\Autoload::addPsr4('PluginJs\\',                        dirname(__DIR__).'/tests/test_app/Plugin/PluginJs/src');
\Fedora\Autoloader\Dependencies::required([
    '%{php_home}/org/bovigo/vfs/autoload.php',
]);
EOF

: ===== Generate "cache" autoloader
cat << 'EOF' | tee src/Cache/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\Cache\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    dirname(__DIR__) . '/Core/autoload.php',
    [
        '%{php_home}/Psr/SimpleCache2/autoload.php',
        '%{php_home}/Psr/SimpleCache/autoload.php',
    ],
]);
EOF

: ===== Generate "chronos" autoloader
cat << 'EOF' | tee src/Chronos/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\Chronos\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    __DIR__ . '/carbon_compat.php',
]);
EOF

: ===== Generate "collection" autoloader
cat << 'EOF' | tee src/Collection/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\Collection\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    __DIR__ . '/functions.php',
]);
EOF

: ===== Generate "console" autoloader
cat << 'EOF' | tee src/Console/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\Console\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    dirname(__DIR__) . '/Core/autoload.php',
    dirname(__DIR__) . '/Event/autoload.php',
    dirname(__DIR__) . '/Filesystem/autoload.php',
    dirname(__DIR__) . '/Log/autoload.php',
    dirname(__DIR__) . '/Utility/autoload.php',
]);
EOF

: ===== Generate "core" autoloader
cat << 'EOF' | tee src/Core/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\Core\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    '%{php_home}/Psr/Http/Server/autoload.php',
    '%{php_home}/League/Container4/autoload.php',
    dirname(__DIR__) . '/Utility/autoload.php',
    __DIR__ . '/functions.php',
]);
EOF

: ===== Generate "database" autoloader
cat << 'EOF' | tee src/Database/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\Database\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    dirname(__DIR__) . '/Core/autoload.php',
    dirname(__DIR__) . '/Datasource/autoload.php',
]);
\Fedora\Autoloader\Dependencies::optional([
    dirname(__DIR__) . '/I18n/autoload.php',
]);
EOF

: ===== Generate "datasource" autoloader
cat << 'EOF' | tee src/Datasource/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\Datasource\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    dirname(__DIR__) . '/Core/autoload.php',
    [
        '%{php_home}/Psr/Log2/autoload.php',
        '%{php_home}/Psr/Log/autoload.php',
    ], [
        '%{php_home}/Psr/SimpleCache2/autoload.php',
        '%{php_home}/Psr/SimpleCache/autoload.php',
    ],
]);
EOF

: ===== Generate "event" autoloader
cat << 'EOF' | tee src/Event/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\Event\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    dirname(__DIR__) . '/Core/autoload.php',
]);
EOF

: ===== Generate "filesystem" autoloader
cat << 'EOF' | tee src/Filesystem/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\Filesystem\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    dirname(__DIR__) . '/Core/autoload.php',
]);
EOF

: ===== Generate "form" autoloader
cat << 'EOF' | tee src/Form/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\Form\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    dirname(__DIR__) . '/Event/autoload.php',
    dirname(__DIR__) . '/Validation/autoload.php',
]);
EOF

: ===== Generate "http" autoloader
cat << 'EOF' | tee src/Http/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\Http\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    dirname(__DIR__) . '/Core/autoload.php',
    dirname(__DIR__) . '/Event/autoload.php',
    dirname(__DIR__) . '/Utility/autoload.php',
    '%{php_home}/Composer/CaBundle/autoload.php',
    '%{php_home}/Psr/Http/Client/autoload.php',
    '%{php_home}/Psr/Http/Server/autoload.php',
    '%{php_home}/Psr/Http/Server/middleware-autoload.php',
    '%{php_home}/Laminas/Diactoros2/autoload.php',
    [
        '%{php_home}/Laminas/HttpHandlerRunner2/autoload.php',
        '%{php_home}/Laminas/HttpHandlerRunner/autoload.php',
    ]
]);
EOF

: ===== Generate "i18n" autoloader
cat << 'EOF' | tee src/I18n/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\I18n\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    dirname(__DIR__) . '/Core/autoload.php',
    dirname(__DIR__) . '/Chronos/autoload.php',
    __DIR__ . '/functions.php',
]);
EOF

: ===== Generate "log" autoloader
cat << 'EOF' | tee src/Log/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\Log\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    dirname(__DIR__) . '/Core/autoload.php',
    [
        '%{php_home}/Psr/Log2/autoload.php',
        '%{php_home}/Psr/Log/autoload.php',
    ],
]);
EOF

: ===== Generate "orm" autoloader
cat << 'EOF' | tee src/ORM/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\ORM\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    dirname(__DIR__) . '/Collection/autoload.php',
    dirname(__DIR__) . '/Core/autoload.php',
    dirname(__DIR__) . '/Datasource/autoload.php',
    dirname(__DIR__) . '/Database/autoload.php',
    dirname(__DIR__) . '/Event/autoload.php',
    dirname(__DIR__) . '/Utility/autoload.php',
    dirname(__DIR__) . '/Validation/autoload.php',
]);
EOF

: ===== Generate "utility" autoloader
cat << 'EOF' | tee src/Utility/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\Utility\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    dirname(__DIR__) . '/Core/autoload.php',
    __DIR__ . '/bootstrap.php',
]);
EOF


: ===== Generate "validation" autoloader
cat << 'EOF' | tee src/Validation/autoload.php
<?php
require_once '%{php_home}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Cake\\Validation\\', __DIR__);
\Fedora\Autoloader\Dependencies::required([
    dirname(__DIR__) . '/Core/autoload.php',
    dirname(__DIR__) . '/Utility/autoload.php',
    '%{php_home}/Psr/Http/Message/autoload.php',
]);
EOF


%install
#: Library
mkdir -p    %{buildroot}%{php_home}
cp -pr src  %{buildroot}%{php_home}/%{ns_vendor}%{major}/
rm          %{buildroot}%{php_home}/%{ns_vendor}%{major}/basics.php


%check
: Check our autoloaders
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}%{major}/Cache/autoload.php";
exit (class_exists("Cake\\Cache\\Cache") ? 0 : 1);
'
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}%{major}/Chronos/autoload.php";
exit (class_exists("Cake\\Chronos\\Date") ? 0 : 1);
'
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}%{major}/Collection/autoload.php";
exit (class_exists("Cake\\Collection\\Collection") ? 0 : 1);
'
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}%{major}/Console/autoload.php";
exit (class_exists("Cake\\Console\\Helper") ? 0 : 1);
'
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}%{major}/Core/autoload.php";
exit (class_exists("Cake\\Core\\App") ? 0 : 1);
'
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}%{major}/Database/autoload.php";
exit (class_exists("Cake\\Database\\Connection") ? 0 : 1);
'
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}%{major}/Datasource/autoload.php";
exit (class_exists("Cake\\Datasource\\RulesChecker") ? 0 : 1);
'
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}%{major}/Event/autoload.php";
exit (class_exists("Cake\\Event\\Event") ? 0 : 1);
'
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}%{major}/Filesystem/autoload.php";
exit (class_exists("Cake\\Filesystem\\File") ? 0 : 1);
'
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}%{major}/Form/autoload.php";
exit (class_exists("Cake\\Form\\Form") ? 0 : 1);
'
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}%{major}/Http/autoload.php";
exit (class_exists("Cake\\Http\\Server") ? 0 : 1);
'
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}%{major}/I18n/autoload.php";
exit (class_exists("Cake\\I18n\\Date") ? 0 : 1);
'
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}%{major}/Log/autoload.php";
exit (class_exists("Cake\\Log\\Log") ? 0 : 1);
'
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}%{major}/ORM/autoload.php";
exit (class_exists("Cake\\ORM\\Behavior") ? 0 : 1);
'
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}%{major}/Utility/autoload.php";
exit (class_exists("Cake\\Utility\\Hash") ? 0 : 1);
'
php -r '
require "%{buildroot}%{php_home}/%{ns_vendor}%{major}/Validation/autoload.php";
exit (class_exists("Cake\\Validation\\Validator") ? 0 : 1);
'

%if %{with tests}
: Fix path
sed -e 's:vendor/phpunit/phpunit/src/::' -i \
  tests/TestCase/Error/Middleware/ErrorHandlerMiddlewareTest.php \
  tests/TestCase/Error/ErrorHandlerTest.php

sed -e 's/3.25.0/3.28.0/' -i tests/TestCase/Database/Driver/SqliteTest.php

export LANG=en_GB.UTF-8
ret=0
: Run chronos test suite
%{_bindir}/phpunit9 tests2 \
    --verbose || ret=1

: Run cakephp test suite
# testEmailDeep|testConfigContext|testDataAvailable|testAddresses|testHost are online
# testCurrency|testConfig issue with ICU version
# CspMiddlewareTest  paragonie/csp-builder not packaged
# testReplaceLinkBinaryUuid need investigation
# testRsa* broken with OpenSSL 3.0
# testSQLFunctions broken with 8.1 (date format)
%{_bindir}/phpunit9 tests/TestCase \
    --filter '^((?!(CspMiddlewareTest|testEmailDeep|testConfigContext|testDataAvailable|testAddresses|testHost|testCurrency|testConfig|testReplaceLinkBinaryUuid|testRsaSigningWithPassphraseString|testRsaSigningStringWithPassphraseString|testRsaSigningWithPassphraseFile|testRsaSigningStringWithPassphraseFile|testSQLFunctions)).)*$' \
    --verbose || ret=1

exit $ret
%else
: Test suite disabled
%endif


%{!?_licensedir:%global license %%doc}
%files
%license LICENSE
%doc composer.json
%doc *.md
%{php_home}/%{ns_vendor}%{major}/autoload.php
%{php_home}/%{ns_vendor}%{major}/Auth
%{php_home}/%{ns_vendor}%{major}/Command
%{php_home}/%{ns_vendor}%{major}/Controller
%{php_home}/%{ns_vendor}%{major}/Error
%{php_home}/%{ns_vendor}%{major}/Mailer
%{php_home}/%{ns_vendor}%{major}/Network
%{php_home}/%{ns_vendor}%{major}/Routing
%{php_home}/%{ns_vendor}%{major}/Shell
%{php_home}/%{ns_vendor}%{major}/TestSuite
%{php_home}/%{ns_vendor}%{major}/View

%files cache
%license LICENSE
%doc src/Cache/composer.json
%doc src/Cache/*md
         %{php_home}/%{ns_vendor}%{major}/Cache
%exclude %{php_home}/%{ns_vendor}%{major}/Cache/*.md
%exclude %{php_home}/%{ns_vendor}%{major}/Cache/composer.json

%files chronos
%license chronos-*/LICENSE
%doc chronos-*/composer.json
%doc chronos-*/*md
%dir %{php_home}/%{ns_vendor}%{major}
     %{php_home}/%{ns_vendor}%{major}/Chronos

%files collection
%license src/Collection/LICENSE.txt
%doc src/Collection/composer.json
%doc src/Collection/*md
%dir      %{php_home}/%{ns_vendor}%{major}
          %{php_home}/%{ns_vendor}%{major}/Collection
%exclude %{php_home}/%{ns_vendor}%{major}/Collection/*.md
%exclude %{php_home}/%{ns_vendor}%{major}/Collection/composer.json
%exclude %{php_home}/%{ns_vendor}%{major}/Collection/LICENSE.txt

%files console
%license LICENSE
%doc src/Console/composer.json
%doc src/Console/*md
         %{php_home}/%{ns_vendor}%{major}/Console
%exclude %{php_home}/%{ns_vendor}%{major}/Collection/*.md
%exclude %{php_home}/%{ns_vendor}%{major}/Collection/composer.json

%files core
%license src/Core/LICENSE.txt
%doc src/Core/composer.json
%doc src/Core/*md
%dir     %{php_home}/%{ns_vendor}%{major}
         %{php_home}/%{ns_vendor}%{major}/Core
%exclude %{php_home}/%{ns_vendor}%{major}/Core/*.md
%exclude %{php_home}/%{ns_vendor}%{major}/Core/composer.json
%exclude %{php_home}/%{ns_vendor}%{major}/Core/LICENSE.txt

%files database
%license src/Database/LICENSE.txt
%doc src/Database/composer.json
%doc src/Database/*md
         %{php_home}/%{ns_vendor}%{major}/Database
%exclude %{php_home}/%{ns_vendor}%{major}/Database/*.md
%exclude %{php_home}/%{ns_vendor}%{major}/Database/composer.json
%exclude %{php_home}/%{ns_vendor}%{major}/Database/LICENSE.txt

%files datasource
%license src/Datasource/LICENSE.txt
%doc src/Datasource/composer.json
%doc src/Datasource/*md
         %{php_home}/%{ns_vendor}%{major}/Datasource
%exclude %{php_home}/%{ns_vendor}%{major}/Datasource/*.md
%exclude %{php_home}/%{ns_vendor}%{major}/Datasource/composer.json
%exclude %{php_home}/%{ns_vendor}%{major}/Datasource/LICENSE.txt

%files event
%license src/Event/LICENSE.txt
%doc src/Event/composer.json
%doc src/Event/*md
         %{php_home}/%{ns_vendor}%{major}/Event
%exclude %{php_home}/%{ns_vendor}%{major}/Event/*.md
%exclude %{php_home}/%{ns_vendor}%{major}/Event/composer.json
%exclude %{php_home}/%{ns_vendor}%{major}/Event/LICENSE.txt

%files filesystem
%license src/Filesystem/LICENSE.txt
%doc src/Filesystem/composer.json
%doc src/Filesystem/*md
         %{php_home}/%{ns_vendor}%{major}/Filesystem
%exclude %{php_home}/%{ns_vendor}%{major}/Filesystem/*.md
%exclude %{php_home}/%{ns_vendor}%{major}/Filesystem/composer.json
%exclude %{php_home}/%{ns_vendor}%{major}/Filesystem/LICENSE.txt

%files form
%license src/Form/LICENSE.txt
%doc src/Form/composer.json
%doc src/Form/*md
         %{php_home}/%{ns_vendor}%{major}/Form
%exclude %{php_home}/%{ns_vendor}%{major}/Form/*.md
%exclude %{php_home}/%{ns_vendor}%{major}/Form/composer.json
%exclude %{php_home}/%{ns_vendor}%{major}/Form/LICENSE.txt

%files http
%license src/Http/LICENSE.txt
%doc src/Http/composer.json
%doc src/Http/*md
         %{php_home}/%{ns_vendor}%{major}/Http
%exclude %{php_home}/%{ns_vendor}%{major}/Http/*.md
%exclude %{php_home}/%{ns_vendor}%{major}/Http/composer.json
%exclude %{php_home}/%{ns_vendor}%{major}/Http/LICENSE.txt

%files i18n
%license src/I18n/LICENSE.txt
%doc src/I18n/composer.json
%doc src/I18n/*md
         %{php_home}/%{ns_vendor}%{major}/I18n
%exclude %{php_home}/%{ns_vendor}%{major}/I18n/*.md
%exclude %{php_home}/%{ns_vendor}%{major}/I18n/composer.json
%exclude %{php_home}/%{ns_vendor}%{major}/I18n/LICENSE.txt

%files log
%license src/Log/LICENSE.txt
%doc src/Log/composer.json
%doc src/Log/*md
         %{php_home}/%{ns_vendor}%{major}/Log
%exclude %{php_home}/%{ns_vendor}%{major}/Log/*.md
%exclude %{php_home}/%{ns_vendor}%{major}/Log/composer.json
%exclude %{php_home}/%{ns_vendor}%{major}/Log/LICENSE.txt

%files orm
%license src/ORM/LICENSE.txt
%doc src/ORM/composer.json
%doc src/ORM/*md
         %{php_home}/%{ns_vendor}%{major}/ORM
%exclude %{php_home}/%{ns_vendor}%{major}/ORM/*.md
%exclude %{php_home}/%{ns_vendor}%{major}/ORM/composer.json
%exclude %{php_home}/%{ns_vendor}%{major}/ORM/LICENSE.txt

%files utility
%license src/Utility/LICENSE.txt
%doc src/Utility/composer.json
%doc src/Utility/*md
         %{php_home}/%{ns_vendor}%{major}/Utility
%exclude %{php_home}/%{ns_vendor}%{major}/Utility/*.md
%exclude %{php_home}/%{ns_vendor}%{major}/Utility/composer.json
%exclude %{php_home}/%{ns_vendor}%{major}/Utility/LICENSE.txt

%files validation
%license src/Validation/LICENSE.txt
%doc src/Validation/composer.json
%doc src/Validation/*md
         %{php_home}/%{ns_vendor}%{major}/Validation
%exclude %{php_home}/%{ns_vendor}%{major}/Validation/*.md
%exclude %{php_home}/%{ns_vendor}%{major}/Validation/composer.json
%exclude %{php_home}/%{ns_vendor}%{major}/Validation/LICENSE.txt


%changelog
* Mon Feb 20 2023 Remi Collet <remi@remirepo.net> - 4.4.11-1
- update to 4.4.11

* Fri Jan  6 2023 Remi Collet <remi@remirepo.net> - 4.4.10-1
- update to 4.4.10

* Tue Jan  3 2023 Remi Collet <remi@remirepo.net> - 4.4.9-1
- update to 4.4.9

* Fri Dec  2 2022 Remi Collet <remi@remirepo.net> - 4.4.8-1
- update to 4.4.8

* Tue Nov  8 2022 Remi Collet <remi@remirepo.net> - 4.4.7-2
- update chronos to 2.3.2

* Thu Nov  3 2022 Remi Collet <remi@remirepo.net> - 4.4.7-1
- update to 4.4.7

* Fri Oct 21 2022 Remi Collet <remi@remirepo.net> - 4.4.6-2
- update chronos to 2.3.1

* Mon Oct  3 2022 Remi Collet <remi@remirepo.net> - 4.4.6-1
- update to 4.4.6

* Thu Sep  8 2022 Remi Collet <remi@remirepo.net> - 4.4.5-1
- update to 4.4.5

* Mon Aug  8 2022 Remi Collet <remi@remirepo.net> - 4.4.4-1
- update to 4.4.4

* Wed Jul 27 2022 Remi Collet <remi@remirepo.net> - 4.4.3-1
- update to 4.4.3

* Wed Jul  6 2022 Remi Collet <remi@remirepo.net> - 4.4.2-1
- update to 4.4.2

* Tue Jun 14 2022 Remi Collet <remi@remirepo.net> - 4.4.1-1
- update to 4.4.1

* Thu Jun  9 2022 Remi Collet <remi@remirepo.net> - 4.4.0-1
- update to 4.4.0
- raise dependency on PHP 7.4

* Fri Jun  3 2022 Remi Collet <remi@remirepo.net> - 4.3.10-1
- update to 4.3.10
- switch to phpunit9

* Mon May 16 2022 Remi Collet <remi@remirepo.net> - 4.3.9-1
- update to 4.3.9

* Mon Apr 25 2022 Remi Collet <remi@remirepo.net> - 4.3.8-1
- update to 4.3.8

* Mon Mar 28 2022 Remi Collet <remi@remirepo.net> - 4.3.7-1
- update to 4.3.7

* Mon Mar  7 2022 Remi Collet <remi@remirepo.net> - 4.3.6-1
- update to 4.3.6

* Mon Feb  7 2022 Remi Collet <remi@remirepo.net> - 4.3.5-1
- update to 4.3.5

* Mon Jan 17 2022 Remi Collet <remi@remirepo.net> - 4.3.4-1
- update to 4.3.4

* Mon Dec 20 2021 Remi Collet <remi@remirepo.net> - 4.3.3-1
- update to 4.3.3

* Mon Nov 29 2021 Remi Collet <remi@remirepo.net> - 4.3.2-1
- update to 4.3.2
- raise dependency on league/container 4.2.0

* Mon Nov  8 2021 Remi Collet <remi@remirepo.net> - 4.3.1-1
- update to 4.3.1
- open https://github.com/cakephp/cakephp/issues/16101
  test failure with OpenSSL 3.0

* Mon Oct 25 2021 Remi Collet <remi@remirepo.net> - 4.3.0-1
- update to 4.3.0
- raise dependency on league/container 4.1.1

* Mon Oct 18 2021 Remi Collet <remi@remirepo.net> - 4.2.10-2
- update chronos to 2.3.0

* Thu Oct 14 2021 Remi Collet <remi@remirepo.net> - 4.2.10-1
- update to 4.2.10

* Mon Sep 13 2021 Remi Collet <remi@remirepo.net> - 4.2.9-1
- update to 4.2.9

* Mon Jul 19 2021 Remi Collet <remi@remirepo.net> - 4.2.8-1
- update to 4.2.8

* Thu Jun 17 2021 Remi Collet <remi@remirepo.net> - 4.2.7-2
- update chronos to 2.2.0

* Thu Jun 17 2021 Remi Collet <remi@remirepo.net> - 4.2.7-1
- update to 4.2.7

* Thu May  6 2021 Remi Collet <remi@remirepo.net> - 4.2.6-1
- update to 4.2.6

* Wed Apr  7 2021 Remi Collet <remi@remirepo.net> - 4.2.5-2
- update chronos to 2.1.2

* Tue Apr  6 2021 Remi Collet <remi@remirepo.net> - 4.2.5-1
- update to 4.2.5

* Mon Mar  1 2021 Remi Collet <remi@remirepo.net> - 4.2.4-1
- update to 4.2.4

* Sat Feb  6 2021 Remi Collet <remi@remirepo.net> - 4.2.3-2
- update chronos to 2.1.1

* Mon Jan 25 2021 Remi Collet <remi@remirepo.net> - 4.2.3-1
- update to 4.2.3

* Wed Jan 20 2021 Remi Collet <remi@remirepo.net> - 4.2.2-2
- update chronos to 2.1.0

* Thu Jan  7 2021 Remi Collet <remi@remirepo.net> - 4.2.2-1
- update to 4.2.2

* Wed Jan  6 2021 Remi Collet <remi@remirepo.net> - 4.2.1-1
- update to 4.2.1

* Mon Dec 21 2020 Remi Collet <remi@remirepo.net> - 4.2.0-1
- update to 4.2.0
- add dependency on league/container
- drop dependency on aura/intl

* Mon Dec 14 2020 Remi Collet <remi@remirepo.net> - 4.1.7-1
- update to 4.1.7

* Mon Nov  9 2020 Remi Collet <remi@remirepo.net> - 4.1.6-1
- update to 4.1.6

* Mon Oct  5 2020 Remi Collet <remi@remirepo.net> - 4.1.5-1
- update to 4.1.5

* Mon Sep  7 2020 Remi Collet <remi@remirepo.net> - 4.1.4-1
- update to 4.1.4

* Mon Aug 24 2020 Remi Collet <remi@remirepo.net> - 4.1.3-3
- update chronos to 2.0.6

* Wed Aug 19 2020 Remi Collet <remi@remirepo.net> - 4.1.3-2
- fix cake/core autoloader

* Mon Aug 17 2020 Remi Collet <remi@remirepo.net> - 4.1.3-1
- update to 4.1.3

* Mon Aug 10 2020 Remi Collet <remi@remirepo.net> - 4.1.2-1
- update to 4.1.2

* Mon Jul 20 2020 Remi Collet <remi@remirepo.net> - 4.1.1-1
- update to 4.1.1

* Mon Jul  6 2020 Remi Collet <remi@remirepo.net> - 4.1.0-1
- update to 4.1.0

* Tue Jun 23 2020 Remi Collet <remi@remirepo.net> - 4.0.9-1
- update to 4.0.9

* Tue May 26 2020 Remi Collet <remi@remirepo.net> - 4.0.8-2
- update chronos to 2.0.5

* Sun May 24 2020 Remi Collet <remi@remirepo.net> - 4.0.8-1
- update to 4.0.8

* Mon May  4 2020 Remi Collet <remi@remirepo.net> - 4.0.7-1
- update to 4.0.7

* Tue Apr 21 2020 Remi Collet <remi@remirepo.net> - 4.0.6-2
- update chronos to 2.0.4

* Mon Apr 20 2020 Remi Collet <remi@remirepo.net> - 4.0.6-1
- update to 4.0.6

* Mon Mar 30 2020 Remi Collet <remi@remirepo.net> - 4.0.5-1
- update to 4.0.5

* Sat Feb 22 2020 Remi Collet <remi@remirepo.net> - 4.0.4-2
- update chronos to 2.0.3

* Sat Feb 22 2020 Remi Collet <remi@remirepo.net> - 4.0.4-1
- update to 4.0.4
- provides the full framework as php-cakephp4

* Mon Feb 10 2020 Remi Collet <remi@remirepo.net> - 4.0.3-4
- run full test suite

* Mon Feb 10 2020 Remi Collet <remi@remirepo.net> - 4.0.3-3
- add Form and ORM components

* Mon Feb 10 2020 Remi Collet <remi@remirepo.net> - 4.0.3-2
- use Chronos 2.0.2
- add Http component

* Mon Jan 27 2020 Remi Collet <remi@remirepo.net> - 4.0.3-1
- update to 4.0.3

* Mon Jan 13 2020 Remi Collet <remi@remirepo.net> - 4.0.2-1
- update to 4.0.2
- switch from Zend to Laminas

* Thu Jan  2 2020 Remi Collet <remi@remirepo.net> - 4.0.1-1
- update to 4.0.1

* Mon Dec 16 2019 Remi Collet <remi@remirepo.net> - 4.0.0-1
- update to 4.0.0
- raise dependency on PHP 7.2
- use Chronos 2.0.1
- add Chronos, Console, Filesystem, I18n and Validation

* Mon Dec  9 2019 Remi Collet <remi@remirepo.net> - 3.8.7-1
- update to 3.8.7

* Tue Dec  3 2019 Remi Collet <remi@remirepo.net> - 3.8.6-2
- use Chronos 1.3.0

* Thu Nov  7 2019 Remi Collet <remi@remirepo.net> - 3.8.6-1
- update to 3.8.6

* Mon Oct  7 2019 Remi Collet <remi@remirepo.net> - 3.8.5-1
- update to 3.8.5

* Mon Sep 16 2019 Remi Collet <remi@remirepo.net> - 3.8.4-1
- update to 3.8.4

* Sun Sep  1 2019 Remi Collet <remi@remirepo.net> - 3.8.3-1
- update to 3.8.3

* Tue Aug 20 2019 Remi Collet <remi@remirepo.net> - 3.8.2-1
- update to 3.8.2

* Mon Jul 15 2019 Remi Collet <remi@remirepo.net> - 3.8.1-1
- update to 3.8.1

* Thu Jun 27 2019 Remi Collet <remi@remirepo.net> - 3.8.0-1
- update to 3.8.0

* Thu Jun 20 2019 Remi Collet <remi@remirepo.net> - 3.7.9-1
- update to 3.7.9

* Tue Jun 18 2019 Remi Collet <remi@remirepo.net> - 3.7.8-3
- use Chronos 1.2.8

* Tue Jun 11 2019 Remi Collet <remi@remirepo.net> - 3.7.8-2
- use Chronos 1.2.7

* Sun Jun  2 2019 Remi Collet <remi@remirepo.net> - 3.7.8-1
- update to 3.7.8
- use Chronos 1.2.6

* Wed Apr 24 2019 Remi Collet <remi@remirepo.net> - 3.7.7-1
- update to 3.7.7
- use Chronos 1.2.5

* Wed Apr 10 2019 Remi Collet <remi@remirepo.net> - 3.7.6-1
- update to 3.7.6

* Thu Mar 14 2019 Remi Collet <remi@remirepo.net> - 3.7.5-1
- update to 3.7.5

* Mon Feb 11 2019 Remi Collet <remi@remirepo.net> - 3.7.4-1
- update to 3.7.4
- add event subpackage
- use Chronos 1.2.4

* Tue Jan 22 2019 Remi Collet <remi@remirepo.net> - 3.7.3-1
- update to 3.7.3

* Fri Jan  4 2019 Remi Collet <remi@remirepo.net> - 3.7.2-1
- update to 3.7.2
- add log subpackage
- database requires log

* Tue Dec 18 2018 Remi Collet <remi@remirepo.net> - 3.7.1-1
- update to 3.7.1

* Thu Dec 13 2018 Remi Collet <remi@remirepo.net> - 3.7.0-1
- update to 3.7.0
- use Chronos 1.2.3

* Mon Nov  5 2018 Remi Collet <remi@remirepo.net> - 3.6.16-1
- update to 3.6.16

* Tue Oct  2 2018 Remi Collet <remi@remirepo.net> - 3.6.12-1
- update to 3.6.12

* Mon Sep  3 2018 Remi Collet <remi@remirepo.net> - 3.6.11-1
- update to 3.6.11

* Tue Aug 14 2018 Remi Collet <remi@remirepo.net> - 3.6.10-1
- update to 3.6.10

* Thu Jul 26 2018 Remi Collet <remi@remirepo.net> - 3.6.9-1
- update to 3.6.9

* Tue Jul 24 2018 Remi Collet <remi@remirepo.net> - 3.6.8-1
- update to 3.6.8

* Mon Jul  9 2018 Remi Collet <remi@remirepo.net> - 3.6.7-1
- update to 3.6.7

* Mon Jun 25 2018 Remi Collet <remi@remirepo.net> - 3.6.6-1
- update to 3.6.6

* Mon Jun 11 2018 Remi Collet <remi@remirepo.net> - 3.6.5-1
- Initial packaging with cache, collection, core, database,
  database and utility sub-packages
